# define driver name, version and release
%define		drvname	nvidia-current
%define		drvver	331.113
%define		drvrel	1.mga4.nonfree

# define core kernel version we build against
%define 	kernver		3.14.39
%define		kernrel		1.mga4

# where to build
%define		topdir		${RPM_BUILD_DIR}/%{name}-%{_arch}

# source package
Name:		kmod-%{drvname}
Version:	%{drvver}
Release:	%mkrel 6
Summary:	Prebuilt %{drvname} modules for kernel-%{kernver}-%{kernrel}
License:	Freeware
URL:		http://www.nvidia.com/object/unix.html
Group:		System/Kernel and hardware
ExclusiveArch:	%{ix86} x86_64

BuildRequires:	dkms-%{drvname} = %{drvver}-%{drvrel}
%ifarch %{ix86}
BuildRequires:	kernel-desktop586-devel-%{kernver}-%{kernrel}
%endif
BuildRequires:	kernel-desktop-devel-%{kernver}-%{kernrel}
BuildRequires:	kernel-server-devel-%{kernver}-%{kernrel}

%description
This package creates prebuilt %{drvname} kernel modules for core kernel.


# obsoletes prebuilt -netbook-latest modules with matching -desktop-latest
%define latest_obsoletes_desktop %{drvname}-kernel-netbook-latest < 310.19-2
%define latest_provides_desktop  %{drvname}-kernel-netbook-latest = %{drvver}-%{release}

##### mkflavour() ala core kernel #####
%define mkflavour()								\
%package -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}			\
Summary:	%{drvname} driver for kernel-%{1}-%{kernver}-%{kernrel}		\
License:	Commercial							\
URL:		http://www.nvidia.com/object/unix.html				\
Group:		System/Kernel and hardware					\
Requires(post): dkms-minimal							\
Requires(preun): dkms-minimal							\
Requires:	kernel-%{1}-%{kernver}-%{kernrel}				\
Requires(post):	kernel-%{1}-%{kernver}-%{kernrel}				\
Requires(preun): kernel-%{1}-%{kernver}-%{kernrel}				\
Suggests:	%{drvname}-kernel-%{1}-latest					\
%ifarch %{ix86}									\
Conflicts:	arch(x86_64)							\
%endif										\
										\
%description -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}			\
Prebuilt dkms binary kernel modules for the %{drvname} driver version %{drvver} \
built for kernel-%{1}-%{kernver}-%{kernrel}.					\
										\
%files -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%dir /var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-%{1}-%{kernrel} \
/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-%{1}-%{kernrel}/* \
										\
%posttrans -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%{_sbindir}/dkms install --binary -m %{drvname} -v %{drvver}-%{drvrel} -k %{kernver}-%{1}-%{kernrel} --rpm_safe_upgrade \
%{_sbindir}/dkms status -m %{drvname} -v %{drvver}-%{drvrel}			\
										\
%preun -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%{_sbindir}/dkms uninstall --binary -m %{drvname} -v %{drvver}-%{drvrel} -k %{kernver}-%{1}-%{kernrel} --rpm_safe_upgrade \
										\
										\
%package -n %{drvname}-kernel-%{1}-latest					\
Summary:	Virtual rpm for latest %{drvname}-kernel-%{1} driver		\
License:	Commercial							\
URL:		http://www.nvidia.com/object/unix.html				\
Group:		System/Kernel and hardware					\
Requires:	%{drvname}-kernel-%{kernver}-%{1}-%{kernrel} = %{version}-%{release} \
%{expand:%%{?latest_obsoletes_%{1}:Obsoletes: %{latest_obsoletes_%{1}}}}	\
%{expand:%%{?latest_provides_%{1}:Provides: %{latest_provides_%{1}}}}		\
%ifarch %{ix86}									\
Conflicts:	arch(x86_64)							\
%endif										\
										\
%description -n %{drvname}-kernel-%{1}-latest					\
This package is a virtual rpm that aims to make sure you always have the	\
latest prebuilt %{drvname} driver for kernel-%{1}.				\
										\
%files -n %{drvname}-kernel-%{1}-latest

%ifarch %{ix86}
%mkflavour desktop586
%endif

%mkflavour desktop
%mkflavour server


%prep
rm -rf %{topdir}

%build
%{_sbindir}/dkms add -m %{drvname} -v %{drvver}-%{drvrel} --dkmstree %{topdir}/var/lib/dkms-binary
%ifarch %{ix86}
%{_sbindir}/dkms build --no-prepare-kernel --no-clean-kernel -m %{drvname} -v %{drvver}-%{drvrel} \
	    -k %{kernver}-desktop586-%{kernrel} --kernelsourcedir /usr/src/kernel-%{kernver}-desktop586-%{kernrel} \
	    --dkmstree %{topdir}/var/lib/dkms-binary
%endif
for flavour in desktop server; do
    %{_sbindir}/dkms build --no-prepare-kernel --no-clean-kernel -m %{drvname} -v %{drvver}-%{drvrel} \
		-k %{kernver}-$flavour-%{kernrel} --kernelsourcedir /usr/src/kernel-%{kernver}-$flavour-%{kernrel} \
		--dkmstree %{topdir}/var/lib/dkms-binary
done

%install
mkdir -p %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}
cp -a %{topdir}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-*-%{kernrel} \
      %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/
for dir in %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-*-%{kernrel}; do
    cp -a /usr/src/%{drvname}-%{drvver}-%{drvrel}/dkms.conf $dir/
    xz -6e $dir/*/module/%{drvname}.ko ||:
    xz -6e $dir/*/module/nvidia-uvm.ko ||:
done


%changelog
* Sun Apr 19 2015 tmb <tmb> 331.113-6.mga4
+ Revision: 820486
- rebuild for kernel-3.14.39-1.mga4
- rebuild for kernel-3.14.37-2.mga4
- rebuild for kernel-3.14.37-1.mga4
- rebuild for kernel-3.14.32-1.mga4
- run dkms install in posttrans
- rebuild for kernel-3.14.29-1.mga4
- rebuild for kernel-3.14.27-1.mga4
- rebuild for kernel-3.14.25-1.mga4
- rebuild for kernel-3.14.24-1.mga4
- rebuild for kernel-3.14.23-1.mga4
- rebuild for kernel-3.14.22-1.mga4
- rebuild for kernel-3.14.21-1.mga4
- rebuild for kernel-3.14.18-3.mga4
- rebuild for kernel-3.14.17-2.mga4
- rebuild for kernel-3.14.17-1.mga4
- rebuild for kernel-3.12.25-3.mga4
- rebuild for kernel-3.12.25-2.mga4
- rebuild for 3.12.25-1.mga4
- rebuild for kernel-3.12.21-2.mga4
- rebuild for kernel-3.12.21-1.mga4
- rebuild for nvidia-current-331.79-1.mga4
- rebuild for kernel-3.12.20-1.mga4
- rebuild for kernel-3.12.18-1.mga4
- rebuild for kernel-3.12.13-2.mga4
- rebuild for kernel-3.12.13-1.mga4

* Fri Jan 24 2014 tmb <tmb> 325.15-6.mga4.nonfree
+ Revision: 567975
- rebuild for kernel-3.12.8-2.mga4

* Sun Jan 19 2014 tmb <tmb> 325.15-5.mga4.nonfree
+ Revision: 566915
- rebuild for kernel-3.12.8-1.mga4

* Tue Jan 14 2014 tmb <tmb> 331.38-1.mga4.nonfree
+ Revision: 566530
- rebuild for nvidia-current-331.38-1.mga4

* Mon Jan 13 2014 tmb <tmb> 331.20-19.mga4.nonfree
+ Revision: 566441
- rebuild for kernel-3.12.7-1.mga4

* Mon Jan 13 2014 tmb <tmb> 325.15-4.mga4.nonfree
+ Revision: 566408
- rebuild for kernel-3.12.7-1.mga4

* Thu Jan 09 2014 tmb <tmb> 331.20-18.mga4.nonfree
+ Revision: 566047
- rebuild for kernel-3.12.6-5.mga4

* Thu Jan 09 2014 tmb <tmb> 325.15-3.mga4.nonfree
+ Revision: 566000
- rebuild for kernel-3.12.6-5.mga4

* Tue Jan 07 2014 tmb <tmb> 331.20-17.mga4.nonfree
+ Revision: 565434
- rebuild for kernel-3.12.6-4.mga4

* Tue Jan 07 2014 tmb <tmb> 325.15-2.mga4.nonfree
+ Revision: 565412
- rebuild for kernel-3.12.6-4.mga4

* Sat Jan 04 2014 tmb <tmb> 331.20-16.mga4.nonfree
+ Revision: 564507
- rebuild for nvidia-current-331.20-11.mga4

* Sat Jan 04 2014 tmb <tmb> 325.15-1.mga4.nonfree
+ Revision: 564482
- rebuild for kernel-3.12.6-3.mga4

* Sun Dec 29 2013 tmb <tmb> 331.20-15.mga4.nonfree
+ Revision: 563041
- rebuild for kernel-3.12.6-2.mga4

* Fri Dec 20 2013 tmb <tmb> 331.20-14.mga4.nonfree
+ Revision: 559282
- rebuild for kernel-3.12.6-1.mga4

* Sun Dec 15 2013 tmb <tmb> 331.20-13.mga4.nonfree
+ Revision: 556889
- rebuild for kernel-3.12.5-1.mga4

* Sun Dec 08 2013 tmb <tmb> 331.20-12.mga4.nonfree
+ Revision: 555917
- rebuild for nvidia-current-331.20-10.mga4

* Sun Dec 08 2013 tmb <tmb> 331.20-11.mga4.nonfree
+ Revision: 555887
- rebuild for nvidia-current-331.20-9.mga4

* Fri Dec 06 2013 tmb <tmb> 331.20-10.mga4.nonfree
+ Revision: 555660
- rebuild for nvidia-current-331.20-8.mga4

* Wed Dec 04 2013 tmb <tmb> 331.20-9.mga4.nonfree
+ Revision: 555226
- rebuild for kernel-3.12.3-1.mga4

* Sat Nov 30 2013 tmb <tmb> 331.20-8.mga4.nonfree
+ Revision: 554320
- rebuild for kernel-3.12.2-1.mga4

* Sat Nov 23 2013 tmb <tmb> 331.20-7.mga4.nonfree
+ Revision: 552648
- push to /release

* Sat Nov 23 2013 tmb <tmb> 331.20-6.mga4.nonfree
+ Revision: 552622
- rebuild for nvidia-current-331.20-6.mga4
- rebuild for nvidia-current-331.20-5.mga4
- add temp debug
- rebuild with nvidia-current-331.20-4.mga4
- rebuild for nvidia-current-331.20-3.mga4

* Thu Nov 21 2013 tmb <tmb> 331.20-3.mga4.nonfree
+ Revision: 552216
- rebuild for kernel-3.12.1-1.mga4

* Sun Nov 17 2013 tmb <tmb> 331.20-2.mga4.nonfree
+ Revision: 551625
- rebul for kernel-3.12.0-3.mga4

* Wed Nov 13 2013 tmb <tmb> 331.20-1.mga4.nonfree
+ Revision: 551081
- rebuild for nvidia-current-331.20-1.mga4

* Sat Nov 09 2013 tmb <tmb> 319.60-11.mga4.nonfree
+ Revision: 550050
- rebuild for kernel-3.12.0-2.mga4

* Mon Nov 04 2013 tmb <tmb> 319.60-10.mga4.nonfree
+ Revision: 549334
- rebuild for kernel-3.12.0-1.mga4

* Sat Nov 02 2013 tmb <tmb> 319.60-9.mga4.nonfree
+ Revision: 549149
- rebuild for kernel-3.12.0-0.rc7.2.mga4

* Sat Nov 02 2013 tmb <tmb> 319.60-8.mga4.nonfree
+ Revision: 549120
- rebuild for nvidia-current-319.60-4.mga4

* Thu Oct 31 2013 tmb <tmb> 319.60-7.mga4.nonfree
+ Revision: 548482
- rebuild for kernel-3.12.0-0.rc7.1.mga4

* Sat Oct 26 2013 tmb <tmb> 319.60-6.mga4.nonfree
+ Revision: 547188
- rebuild for kernel-3.12.0-0.rc6.2.mga4

* Mon Oct 21 2013 tmb <tmb> 319.60-5.mga4.nonfree
+ Revision: 541231
- rebuild for kernel-3.12.0-0.rc6.1.mga4

* Wed Oct 16 2013 tmb <tmb> 319.60-4.mga4.nonfree
+ Revision: 501619
- rebuild for kernel-3.12.0-0.rc5.2.mga4

* Mon Oct 14 2013 tmb <tmb> 319.60-3.mga4.nonfree
+ Revision: 496730
- rebuild for kernel-3.12.0-0.rc5.1.mga4

* Thu Oct 03 2013 tmb <tmb> 319.60-2.mga4.nonfree
+ Revision: 490979
- rebuild for kernel-3.11.4-1.mga4

* Thu Oct 03 2013 tmb <tmb> 319.60-1.mga4.nonfree
+ Revision: 490940
- rebuild for nvidia-current-319.60-1.mga4

* Mon Sep 30 2013 tmb <tmb> 319.49-9.mga4.nonfree
+ Revision: 489610
- rebuild for kernel-3.11.2-2.mga4

* Fri Sep 27 2013 tmb <tmb> 319.49-8.mga4.nonfree
+ Revision: 487603
- rebuild for kernel-3.11.2-1.mga4

* Wed Sep 25 2013 tmb <tmb> 319.49-7.mga4.nonfree
+ Revision: 486400
- rebuild for kernel-3.11.1-1.mga4

* Tue Sep 03 2013 tmb <tmb> 319.49-6.mga4.nonfree
+ Revision: 474683
- rebuild for kernel-3.10.10-3.mga4

* Fri Aug 30 2013 tmb <tmb> 319.49-5.mga4.nonfree
+ Revision: 473474
- rebuild for kernel-3.10.10-2.mga4

* Thu Aug 29 2013 tmb <tmb> 319.49-4.mga4.nonfree
+ Revision: 473082
- rebuild for kernel-3.10.10-1.mga4

* Sat Aug 24 2013 sander85 <sander85> 319.49-3.mga4.nonfree
+ Revision: 471296
- rebuild for nvidia-current-319.49-2.mga4

* Wed Aug 21 2013 tmb <tmb> 319.49-2.mga4.nonfree
+ Revision: 469178
- rebuild for kernel-3.10.9-1.mga4

* Wed Aug 21 2013 tmb <tmb> 319.49-1.mga4.nonfree
+ Revision: 469092
- rebuild for nvidia-current-319.49-1.mga4

* Sat Aug 17 2013 tmb <tmb> 319.32-19.mga4.nonfree
+ Revision: 467177
- rebuild for kernel-3.10.7-1.mga4

* Mon Aug 12 2013 tmb <tmb> 319.32-18.mga4.nonfree
+ Revision: 465869
- rebuild for kernel-3.10.6-1.mga4

* Sun Aug 11 2013 tmb <tmb> 319.32-17.mga4.nonfree
+ Revision: 465472
- rebuild for kernel-3.10.5-4.mga4

* Mon Aug 05 2013 tmb <tmb> 319.32-16.mga4.nonfree
+ Revision: 464038
- rebuild for kernel-3.10.5-3.mga4

* Mon Aug 05 2013 tmb <tmb> 319.32-15.mga4.nonfree
+ Revision: 463815
- rebuild for kernel-3.10.5-2.mga4

* Sun Aug 04 2013 tmb <tmb> 319.32-14.mga4.nonfree
+ Revision: 463611
- rebuild for kernel-3.10.5-1.mga4

* Mon Jul 29 2013 tmb <tmb> 319.32-13.mga4.nonfree
+ Revision: 460447
- rebuild for kernel-3.10.4-1.mga4

* Fri Jul 26 2013 tmb <tmb> 319.32-12.mga4.nonfree
+ Revision: 458453
- rebuild for kernel-3.10.3-1.mga4

* Mon Jul 22 2013 tmb <tmb> 319.32-11.mga4.nonfree
+ Revision: 457055
- rebuild for kernel-3.10.2-1.mga4

* Mon Jul 15 2013 tmb <tmb> 319.32-10.mga4.nonfree
+ Revision: 454792
- rebuild with fixed nvidia-current-319.32-2.mga4
- rebuild for kernel-3.10.1-1.mga4

* Fri Jun 28 2013 tmb <tmb> 319.32-8.mga4.nonfree
+ Revision: 447859
- rebuild for nvidia-current-319.32-1.mga4

* Fri Jun 28 2013 tmb <tmb> 319.17-8.mga4.nonfree
+ Revision: 447742
- rebuild for kernel-3.9.8-1.mga4

* Fri Jun 21 2013 tmb <tmb> 319.17-7.mga4.nonfree
+ Revision: 445348
- rebuild for kernel-3.9.7-1.mga4

* Tue Jun 18 2013 tv <tv> 319.17-6.mga4.nonfree
+ Revision: 444810
- rebuild for new kernel

* Sun Jun 02 2013 tmb <tmb> 319.17-5.mga4.nonfree
+ Revision: 434778
- rebuild for kernel-3.9.4-1.mga4

* Tue May 14 2013 tmb <tmb> 319.17-4.mga3.nonfree
+ Revision: 413199
- rebuild for kernel-3.8.13-1.mga3

* Fri May 10 2013 tmb <tmb> 319.17-3.mga3.nonfree
+ Revision: 412839
- rebuild for kernel-3.8.12-2.mga3

* Wed May 08 2013 tmb <tmb> 319.17-2.mga3.nonfree
+ Revision: 412681
- rebuild for kernel-3.8.12-1.mga3

* Fri May 03 2013 tmb <tmb> 319.17-1.mga3.nonfree
+ Revision: 412178
- rebuild for nvidia-current-319.17-1.mga3

* Wed May 01 2013 tmb <tmb> 310.44-9.mga3.nonfree
+ Revision: 411830
- rebuild for kernel-3.8.11-1.mga3

* Sat Apr 27 2013 tmb <tmb> 310.44-8.mga3.nonfree
+ Revision: 411363
- rebuild for kernel-3.8.10-1.mga3

* Mon Apr 22 2013 tmb <tmb> 310.44-7.mga3.nonfree
+ Revision: 410896
- rebuild for kernel-3.8.8-3.mga3

* Sat Apr 20 2013 tmb <tmb> 310.44-6.mga3.nonfree
+ Revision: 410593
- rebuild for kernel-3.8.8-2.mga3

* Wed Apr 17 2013 tmb <tmb> 310.44-5.mga3.nonfree
+ Revision: 410300
- rebuild for kernel-3.8.8-1.mga3

* Sat Apr 13 2013 tmb <tmb> 310.44-4.mga3.nonfree
+ Revision: 409935
- rebuild for kernel-3.8.7-1.mga3

* Tue Apr 09 2013 tmb <tmb> 310.44-3.mga3.nonfree
+ Revision: 409295
- rebuild for kernel-3.8.6-2.mga3

* Sun Apr 07 2013 tmb <tmb> 310.44-2.mga3.nonfree
+ Revision: 408768
- rebuild for kernel-3.8.6-1.mga3

* Sun Apr 07 2013 tmb <tmb> 310.44-1.mga3.nonfree
+ Revision: 408704
- rebuild for nvidia-current-310.44-1.mga3

* Sat Mar 30 2013 tmb <tmb> 310.40-3.mga3.nonfree
+ Revision: 406635
- rebuild for kernel-3.8.5-1.mga3

* Mon Mar 18 2013 tmb <tmb> 310.40-2.mga3.nonfree
+ Revision: 403967
- rebuild for kernel-3.8.3-2.mga3

* Fri Mar 15 2013 tmb <tmb> 310.40-1.mga3.nonfree
+ Revision: 403324
- rebuild for kernel-3.8.3-1.mga3
- rebuild for nvidia-current 310.40

* Sat Mar 02 2013 tmb <tmb> 310.32-8.mga3.nonfree
+ Revision: 401096
- rebuild for kernel-3.8.1-1.mga3

* Thu Feb 28 2013 tmb <tmb> 310.32-7.mga3.nonfree
+ Revision: 400595
- rebuild for kernel-3.8.0-3.mga3

* Fri Feb 22 2013 tmb <tmb> 310.32-6.mga3.nonfree
+ Revision: 399992
- rebuild for kernel-3.8.0-2.mga3

* Tue Feb 19 2013 tmb <tmb> 310.32-5.mga3.nonfree
+ Revision: 399323
- rebuild for kernel-3.8.0-1.mga3

* Sat Feb 09 2013 tmb <tmb> 310.32-4.mga3.nonfree
+ Revision: 397384
- rebuild for kernel-3.8.0-0.rc7.1.mga3

* Wed Feb 06 2013 tmb <tmb> 310.32-3.mga3.nonfree
+ Revision: 394964
- rebuild for kernel-3.8.0-0.rc6.1.mga3

* Sun Jan 27 2013 tmb <tmb> 310.32-2.mga3.nonfree
+ Revision: 392637
- rebuild for kernel-3.8.0-0.rc5.1.mga3

* Sun Jan 27 2013 tmb <tmb> 310.32-1.mga3.nonfree
+ Revision: 392611
- rebuild for nvidia-current-310.32-1.mga3

* Fri Jan 18 2013 tmb <tmb> 310.19-8.mga3.nonfree
+ Revision: 389513
- rebuild for kernel-3.8.0-0.rc4.1.mga3

* Wed Jan 16 2013 tmb <tmb> 310.19-7.mga3.nonfree
+ Revision: 388877
- rebuild for kernel-3.8.0-0.rc3.2.mga3

* Thu Jan 10 2013 tmb <tmb> 310.19-6.mga3.nonfree
+ Revision: 344803
- build with fixed nvidia-current-310.19-2.mga3
- rebuild for kernel-3.8.0-0.rc3.1.mga3

* Tue Dec 18 2012 tmb <tmb> 310.19-4.mga3.nonfree
+ Revision: 332489
- rebuild for kernel-3.7.1-1.mga3

* Tue Dec 11 2012 tmb <tmb> 310.19-3.mga3.nonfree
+ Revision: 329583
- rebuild for kernel-3.7.0-1.mga3

* Fri Dec 07 2012 tmb <tmb> 310.19-2.mga3.nonfree
+ Revision: 327631
- fix obsolete version
- kernel-netbook is gone, so have -netbook-latest packages update to
  matching -desktop-latest
- rebuild for kernel-3.7.0-0.rc8.1.mga3

* Sat Nov 24 2012 tmb <tmb> 310.19-1.mga3.nonfree
+ Revision: 321447
- rebuild for nvidia-current-310.19-1.mga3
- ingore already compressed modules

* Thu Nov 01 2012 tmb <tmb> 304.60-3.mga3.nonfree
+ Revision: 311847
- rebuild for kernel-3.6.5-1.mga3

* Sun Oct 28 2012 tmb <tmb> 304.60-2.mga3.nonfree
+ Revision: 311237
- rebuild for kernel-3.6.4-1.mga3

* Thu Oct 25 2012 tmb <tmb> 304.60-1.mga3.nonfree
+ Revision: 309923
- rebuild for nvidia-current-304.60-1.mga3

* Sun Oct 21 2012 tmb <tmb> 304.51-5.mga3.nonfree
+ Revision: 309020
- rebuild for kernel-3.6.3-1.mga3

* Thu Oct 18 2012 tmb <tmb> 304.51-4.mga3.nonfree
+ Revision: 307880
- rebuild for kernel-3.6.2-1.mga3

* Sat Oct 13 2012 tmb <tmb> 304.51-3.mga3.nonfree
+ Revision: 305261
- compress the prebult module

* Sun Sep 30 2012 tmb <tmb> 304.51-2.mga3.nonfree
+ Revision: 300737
- rebuild for kernel-3.5.5-0.rc1.1.mga3

* Sun Sep 30 2012 tmb <tmb> 304.51-1.mga3.nonfree
+ Revision: 300724
- rebuild for nvidia-current-304.51-1.mga3

* Sat Sep 15 2012 tmb <tmb> 304.43-3.mga3.nonfree
+ Revision: 294180
- rebuild for kernel-3.5.4-1.mga3

* Tue Sep 11 2012 tmb <tmb> 304.43-2.mga3.nonfree
+ Revision: 292395
- rebuild for kernel-3.5.3-3.mga3

* Mon Sep 10 2012 tmb <tmb> 304.43-1.mga3.nonfree
+ Revision: 292060
- rebuild for nvidia-current-304.43-1.mga3

* Thu Aug 30 2012 tmb <tmb> 304.37-5.mga3.nonfree
+ Revision: 285703
- rebuild for kernel-3.5.3-2.mga3

* Sun Aug 26 2012 tmb <tmb> 304.37-4.mga3.nonfree
+ Revision: 284289
- rebuild for kernel-3.5.3-1.mga3

* Sun Aug 19 2012 tmb <tmb> 304.37-3.mga3.nonfree
+ Revision: 282370
- rebuild against nvidia-current-304.37-3.mga3 wich has correct kmod provides

* Sun Aug 19 2012 tmb <tmb> 304.37-2.mga3.nonfree
+ Revision: 282321
- add provides kmod(nvidia-current) as upstream now has provides kmod(nvidis) (mga #7113)

* Sun Aug 19 2012 tmb <tmb> 304.37-1.mga3.nonfree
+ Revision: 282136
- rebuild for nvidia-current-304.37-1.mga3.nonfree

* Thu Aug 16 2012 tmb <tmb> 295.71-2.mga3.nonfree
+ Revision: 281608
- rebuild for kernel-3.5.2-1.mga3

* Sat Aug 11 2012 tmb <tmb> 295.71-1.mga3.nonfree
+ Revision: 280503
- rebuild for kernel-3.5.1-1.mga3 and nvidia-current-295.71-1.mga3.nonfree

* Sat Jul 28 2012 tmb <tmb> 295.59-5.mga3.nonfree
+ Revision: 275094
- rebuild for kernel-3.5.0-1.mga3

* Fri Jul 27 2012 tmb <tmb> 295.59-4.mga3.nonfree
+ Revision: 274701
- rebuild for nvidia-current-295.59-2.mga3

* Fri Jul 20 2012 tmb <tmb> 295.59-3.mga3.nonfree
+ Revision: 272920
- rebuild for kernel-3.4.6-1.mga3

* Thu Jul 19 2012 tmb <tmb> 295.59-2.mga3.nonfree
+ Revision: 272422
- rebuild for kernel-3.4.5-1.mga3

* Mon Jul 02 2012 tmb <tmb> 295.59-1.mga3.nonfree
+ Revision: 266543
- rebuild for nvidia-current 295.59

* Mon Jul 02 2012 tmb <tmb> 295.49-11.mga3.nonfree
+ Revision: 266524
- rebuild for kernel-3.4.4-2.mga3

* Wed Jun 27 2012 tmb <tmb> 295.49-10.mga3.nonfree
+ Revision: 264254
- rebuild for kernel-3.4.4-1.mga3

* Wed Jun 20 2012 tmb <tmb> 295.49-9.mga3.nonfree
+ Revision: 262342
- rebuild for kernel-3.4.3-1.mga3

* Sat Jun 09 2012 tmb <tmb> 295.49-8.mga3.nonfree
+ Revision: 259032
- rebuild for kernel-3.4.2-1.mga3

* Wed Jun 06 2012 tmb <tmb> 295.49-7.mga3.nonfree
+ Revision: 256567
- rebuild for nvidia-current-295.49-6.mga3

* Tue Jun 05 2012 tmb <tmb> 295.49-6.mga3.nonfree
+ Revision: 255753
- rebuild for kernel-3.4.1-1.mga3

* Mon May 28 2012 tmb <tmb> 295.49-5.mga3.nonfree
+ Revision: 247886
- rebuild for kernel-3.4.1-0.rc1.1.mga3

* Thu May 17 2012 tmb <tmb> 295.49-4.mga2.nonfree
+ Revision: 235857
- build for kernel-3.3.6-2.mga2

* Sun May 13 2012 tmb <tmb> 295.49-3.mga2.nonfree
+ Revision: 235564
- build for kernel-3.3.6-1.mga2

* Thu May 10 2012 tmb <tmb> 295.49-2.mga2.nonfree
+ Revision: 235203
- build for kernel-3.3.5-1.mga2

* Sun May 06 2012 tmb <tmb> 295.49-1.mga2.nonfree
+ Revision: 234836
- rebuild for 295.49 in nonfree/updates_testing

* Sat Apr 28 2012 tmb <tmb> 295.40-3.mga2.nonfree
+ Revision: 233923
- rebuild for kernel-3.3.4-1.mga2

* Mon Apr 23 2012 tmb <tmb> 295.40-2.mga2.nonfree
+ Revision: 232875
- rebuild for kernel-3.3.3-1.mga2

* Wed Apr 11 2012 tmb <tmb> 295.40-1.mga2.nonfree
+ Revision: 230295
- rebuild for 295.40-1.mga2

* Fri Apr 06 2012 tmb <tmb> 295.33-7.mga2.nonfree
+ Revision: 229346
- rebuild for nvidia-current-295.33-1.mga2

* Wed Apr 04 2012 tmb <tmb> 295.20-6.mga2.nonfree
+ Revision: 228366
- rebuild for kernel-3.3.1-2.mga2

* Tue Apr 03 2012 tmb <tmb> 295.20-5.mga2.nonfree
+ Revision: 228077
- rebuild for kernel-3.3.1-1.mga2

* Sun Mar 25 2012 tmb <tmb> 295.20-4.mga2.nonfree
+ Revision: 226182
- rebuild for kernel-3.3.0-2.mga2

* Mon Mar 19 2012 tmb <tmb> 295.20-3.mga2.nonfree
+ Revision: 224369
- rebuild for kernel-3.3.0-1.mga2

* Sun Mar 11 2012 tmb <tmb> 295.20-2.mga2.nonfree
+ Revision: 222558
- rebuild for kernel 3.3-rc7

* Tue Mar 06 2012 tmb <tmb> 295.20-1.mga2.nonfree
+ Revision: 220375
- build with fixed nvidia-current
- rebuild for nvidia-current-295.20-1.mga2
- rebuild for kernel-3.3.0-0.rc6.1.mga2

* Sat Mar 03 2012 tmb <tmb> 290.10-16.mga2.nonfree
+ Revision: 217299
- rebuild for kernel-3.2.9-2.mga2

* Thu Mar 01 2012 tmb <tmb> 290.10-15.mga2.nonfree
+ Revision: 216404
- rebuild for kernel-3.2.9-1.mga2

* Sat Feb 25 2012 tmb <tmb> 290.10-13.mga2.nonfree
+ Revision: 214773
- rebuild for kernel-3.2.7-1.mga2

* Thu Feb 16 2012 tmb <tmb> 290.10-12.mga2.nonfree
+ Revision: 209781
- rebuild for kernel-3.2.6-3.mga2
- compress modules with xz

* Tue Feb 14 2012 tmb <tmb> 290.10-11.mga2.nonfree
+ Revision: 208937
- rebuild for kernel-3.2.6-2.mga2

* Sun Feb 12 2012 tmb <tmb> 290.10-10.mga2.nonfree
+ Revision: 208064
- rebuild for kernel-3.2.6-0.rc1.1.mga2

* Mon Feb 06 2012 tmb <tmb> 290.10-9.mga2.nonfree
+ Revision: 205606
- rebuild for kernel-3.2.5-1.mga2

* Thu Jan 26 2012 tmb <tmb> 290.10-8.mga2.nonfree
+ Revision: 201949
- rebuild for kernel-3.2.2-1.mga2

* Fri Jan 20 2012 tmb <tmb> 290.10-7.mga2.nonfree
+ Revision: 198865
- build with kernel-3.2.1-2.mga2

* Sun Jan 15 2012 tmb <tmb> 290.10-6.mga2.nonfree
+ Revision: 196456
- kernel-xen-pvops does not exist anymore
- build against kernel-3.2.1-1.mga2

* Sun Jan 15 2012 tmb <tmb> 290.10-5.mga2.nonfree
+ Revision: 196311
- fix package name to match kernel uname -r

* Thu Jan 05 2012 tmb <tmb> 290.10-4.mga2.nonfree
+ Revision: 191562
- build with kernel-3.2.0-1.mga2

* Thu Dec 29 2011 tmb <tmb> 290.10-3.mga2.nonfree
+ Revision: 188528
- build with kernel-3.2.0-0.rc7.2.mga2
- fix url

* Mon Dec 26 2011 tmb <tmb> 290.10-2.mga2.nonfree
+ Revision: 187917
- build for kernel-3.2.0-0.rc7.1.mga2

* Mon Dec 26 2011 tmb <tmb> 290.10-1.mga2.nonfree
+ Revision: 187901
- imported package kmod-nvidia-current

